import { OnChanges } from '@angular/core';
import { BadgeIconType } from '../badge-icon-type';
import * as i0 from "@angular/core";
export declare class BadgeIconComponent implements OnChanges {
    type: BadgeIconType;
    color?: string;
    classes: string;
    ngOnChanges(): void;
    get iconClass(): string;
    get colorClass(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BadgeIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BadgeIconComponent, "ax-badge-icon", never, { "type": "type"; "color": "color"; }, {}, never, never, false, never>;
}
